import QtQuick 1.0
import "../kits"
import "../kits/section"
UIViewCT {
    width:480
    height:754
    id: destinationMenuVCT
    clip: true;

    property int currentType: -1;
    property string destinationName;
    property int destinationId;
    property double lat;
    property double lng;
    property Listener backLTN :Listener{
                                   id:backLTN
                                   function recieveOnClick(){
                                       if(destinationAboutDetailVCT.state=="FADEIN"){
                                           destinationAboutDetailVCT.state = "FADEOUT"
                                       }else if(destinationHowToGoDetailVCT.state=="FADEIN"){
                                            destinationHowToGoDetailVCT.state = "FADEOUT"
                                       }else if(destinationWhereListVCT.state=="FADEIN"){
                                           destinationWhereListVCT.state = "FADEOUT"
                                       }else{
                                            console.log("navCt ="+navCt);
                                            navCt.popVCT();
                                       }
                                   }
                               }
    property Listener closeLTN :Listener{
                                   id:closeLTN
                                   function recieveOnClick(){
                                       console.log("close");
                                       Qt.quit();
                                   }
                               }
    SectionListener{

        id:recommendSectionListener;

        function clickAtIndex(index){ //0,1,2 //best last suggest
            if(currentType == -1) {
                return;
            }
            destinationVCT.setByPassClickSection( index )
            //destinationMenuVCT.currentType = index

            //backLTN.recieveOnClick();
            navCt.popVCT();

        }

    }
    Rectangle {
        id: destinationMenu
        width: 480
        height: 754
        clip: true


        Image {
            id: image1
            x: 0
            y: 0
            width: 480
            height: 754
            clip: false
            source: "../resource/home/main-bg.png"

            Image {
                id: image2
                x: 0
                y: 0
                width: 480
                height: 754
                anchors.top: parent.top
                anchors.topMargin: 0
                source: "../resource/destination/bg-blue.png"

                Image {
                    id: image4
                    x: 47
                    y: 214
                    width: 389
                    height: 337
                    anchors.horizontalCenter: parent.horizontalCenter
                    anchors.verticalCenter: parent.verticalCenter
                    source: "../resource/destination/plane.png"
                }

            }
        }

        Image {
            id: image3
            x: 0
            y: 0
            width: 480
            height: 176
            source: "../resource/destination/detail.png"

            Text {
                id: text1
                color: "#ffffff"
                text: "Destination Guide"
                anchors.top: desName.bottom
                anchors.topMargin: 30
                anchors.left: parent.left
                anchors.leftMargin: 30
                font.pixelSize: 26
            }

            Text {
                id: desName
                color: "#ffffff"
                text: destinationName
                font.bold: true
                anchors.left: parent.left
                anchors.leftMargin: 30
                anchors.top: parent.top
                anchors.topMargin: 50
                font.pixelSize: 30
            }
        }
        Rectangle{
            id: menuList
            width: 480
            height: 578
            color: "#00000000"
            anchors.top: image3.bottom
            anchors.topMargin: 0
            ListModel{
                id: desMenuList
                ListElement{
                    menu: "About"
                    icon: "../resource/destination/detail/icon-about.png"
                    type: 1
                    desType: ""
                }
                ListElement{
                    menu: "How to go"
                    icon: "../resource/destination/detail/icon-how-to-go.png"
                    type: 2
                    desType: ""
                }
                ListElement{
                    menu: "Where to go"
                    icon: "../resource/destination/detail/icon-where-to-go.png"
                    type: 3
                    desType: "wheretogo"
                }
                ListElement{
                    menu: "Where to stay"
                    icon: "../resource/destination/detail/icon-where-to-stay.png"
                    type: 3
                    desType: "wheretostay"
                }
                ListElement{
                    menu: "Where to eat"
                    icon: "../resource/destination/detail/icon-where-to-eat.png"
                    type: 3
                    desType: "wheretoeat"
                }
                ListElement{
                    menu: "Shopping"
                    icon: "../resource/destination/detail/icon-shopping.png"
                    type: 3
                    desType: "shopping"
                }


            }

            ListView {
                id: tablelistView
                property int setInit: init();
                function init(){
                    tablelistView.currentIndex = -1
                    return 1;
                }

                x: 0
                clip: true;
                width: destinationMenu.width; height: 518
                highlightFollowsCurrentItem: true
                anchors.top: parent.top
                anchors.topMargin: 0
                model: desMenuList;
                delegate: DestinationMenuDelegate {}
                highlight: Component {
                    Image {
                        id: filterHover
                        width: 480; height: 113
                        x: 0
                        z: -5
                        //y: tablelistView.currentItem.y
                        //fillMode: Image.Stretch
                        fillMode: Image.TileHorizontally
                        source: "../resource/destination/bluetab_113.png"
                        //color: "#000142"
                        Behavior on y {
                            SpringAnimation {
                                spring: 3
                                damping: 0.2
                            }
                        }
                    }
                }


                function touchId(_desId,_desName,_menu,_icon,_typeId,_lat,_lng,cat){
                    console.log("touchId:"+_desId,_desName,_menu,_typeId);
                    var component
                    if(_typeId==1){
                        //component = Qt.createComponent("DestinationAboutDetail.qml");
                        //var destinationAboutDetailVCT= navCt.createVCTInsideOnRight(component,null);
                        destinationAboutDetailVCT.desId = _desId;
                        destinationAboutDetailVCT.destinationName = _desName;
                        destinationAboutDetailVCT.icon = _icon;
                        destinationAboutDetailVCT.menu = _menu;
                        destinationAboutDetailVCT.lat = _lat;
                        destinationAboutDetailVCT.lng = _lng;
                        destinationAboutDetailVCT.visible = true;
                        destinationAboutDetailVCT.state = "FADEIN"

                        destinationHowToGoDetailVCT.visible = false;
                        destinationWhereListVCT.visible = false;
                    }else if(_typeId==2){
                        console.log("type2")
                        //component = Qt.createComponent("DestinationHowToGoDetail.qml");
                        //var destinationHowToGoDetailVCT= navCt.createVCTInsideOnRight(component,null);
                        destinationHowToGoDetailVCT.desId = _desId;
                        destinationHowToGoDetailVCT.destinationName = _desName;
                        destinationHowToGoDetailVCT.icon = _icon;
                        destinationHowToGoDetailVCT.menu = _menu;
                        destinationHowToGoDetailVCT.lat = _lat;
                        destinationHowToGoDetailVCT.lng = _lng;
                        destinationHowToGoDetailVCT.visible = true;
                        destinationHowToGoDetailVCT.state = "FADEIN"

                        destinationAboutDetailVCT.visible = false;
                        destinationWhereListVCT.visible = false;

                    }else if(_typeId==3){
                        console.log("type3")
                        //component = Qt.createComponent("DestinationWhereList.qml");
                        //var destinationWhereListVCT= navCt.createVCTInsideOnRight(component,null);
                        destinationWhereListVCT.desId = _desId;
                        destinationWhereListVCT.destinationName = _desName;
                        destinationWhereListVCT.currentType = destinations.currentType
                        destinationWhereListVCT.icon = _icon;
                        destinationWhereListVCT.menu = _menu;
                        destinationWhereListVCT.visible = true;
                        destinationWhereListVCT.state = "FADEIN"

                        if(destinationWhereListVCT.cat!=cat){
                            destinationWhereListVCT.clearList();
                        }
                        destinationWhereListVCT.cat = cat
                        destinationWhereListVCT.desType = cat

                        destinationWhereListVCT.init()

                        destinationAboutDetailVCT.visible = false;
                        destinationHowToGoDetailVCT.visible = false;
                    }else{
                        console.log("error")
                    }
                }


            }
            SectionView{
                id:sectionRecommend;
                x:0
                y: 388
                width: 480
                height: 60
                color: "#00000000"
                anchors.horizontalCenterOffset: 0
                anchors.top: tablelistView.bottom
                anchors.topMargin: 0
                sectionDelegate: recommendSectionListener;
                anchors.horizontalCenter: parent.horizontalCenter
                function sectionViewInit(){
                    sectionRecommend.sectionDelegate =recommendSectionListener;
                    var topTen = addSection();
                    topTen.setImage("../../resource/destination/detail/top10.png",
                                    "../../resource/destination/detail/top10-hover.png");
                    topTen.width = 240
                    topTen.height = 60
                    var allDest = addSection();
                    allDest.setImage("../../resource/destination/detail/89des.png",
                                     "../../resource/destination/detail/89des-hover.png");
                    allDest.width = 240
                    allDest.height = 60
                    return 1;
                }
            }
        }

    }

    DestinationAboutDetail{
        id: destinationAboutDetailVCT
        state: "FADEOUT"
        x: 0
        y: 176
        visible: false
    }
    DestinationHowToGoDetail{
        id: destinationHowToGoDetailVCT
        state: "FADEOUT"
        x: 0
        y: 176
        visible: false
    }
    DestinationWhereList{
        id: destinationWhereListVCT
        state: "FADEOUT"
        x: 0
        y: 176
        visible: false
    }


}
