import QtQuick 1.0
import "../kits"
import "../kits/accessories"
Item {
    id: delegate
    height: 113
    width: delegate.ListView.view.width

    property string itemId: desId;
    property string regionFull: replaceString(region)
    function replaceString(text){
        var temp = "";
        if(region == "C") temp = "Central";
        else if(region == "E") temp = "East";
        else if(region == "S") temp = "South";
        else if(region == "N") temp = "North";
        else if(region == "W") temp = "West";
        else if(region == "NE") temp = "NorthEast";
        return temp
    }
    MouseArea{
        anchors.fill: parent
        id:touchUpArea
        onPressed: {
            delegate.ListView.view.currentIndex = -1
            delegate.ListView.view.currentIndex = index
        }
        onReleased: {
            tablelistView.touchId(itemId,desName,latitude,longtitude);
        }
    }

    Image{
        id:bg
        x: 0
        y: 0
        width: 480
        height: delegate.height
        source: "../resource/destination/item.png"
        ImageWeb {
            id: aboutIcon
            x: 15
            y: 5
            width: 103
            height: 103
            source: "http://www.amazingthailand.23perspective.com/"+thumbnail
        }
        Text{
            id: desTitle
            anchors.left: aboutIcon.right
            anchors.leftMargin: 15
            text: desName
            anchors.top: parent.top
            anchors.topMargin: 30
            font.bold: true
            font.pointSize: 14
            font.family: "Microsoft Sans Serif"

        }
        Text{
            id: desRegion
            anchors.left: aboutIcon.right
            anchors.leftMargin: 15
            text: "Region : "+regionFull
            anchors.top: desTitle.bottom
            anchors.topMargin: 5
            font.pointSize: 13
            font.family: "Microsoft Sans Serif"

        }

    }



}
