import QtQuick 1.0
import "../kits"
import "../kits/accessories"
Item {
    id: delegate
    height: 113
    width: delegate.ListView.view.width

    //property string placeId: placeId;

    MouseArea{
        anchors.fill: parent
        id:touchUpArea
        onPressed: {
            delegate.ListView.view.currentIndex = -1
            delegate.ListView.view.currentIndex = index
        }
        onReleased: {
            tablelistView.touchId(placeId,desName,sub_header,detail,email,fax,www,thumbnail,date,start_time,end_time,lat,lng,phone,address,picture);
        }
    }
    Image{
        id:bg
        x: 0
        y: 0
        width: 480
        height: delegate.height
        source: "../resource/destination/item.png"
        ImageWeb {
            id: aboutIcon
            x: 15
            y: 5
            width: 103
            height: 103
            source: "http://www.amazingthailand.23perspective.com/"+thumbnail
        }
        Text{
            id: desTitle
            anchors.left: aboutIcon.right
            anchors.leftMargin: 15
            text: desName
            font.pointSize: 14
            anchors.top: parent.top
            anchors.topMargin: 20
            font.bold: true
            font.family: "Microsoft Sans Serif"

        }
        Text{
            id: desRegion
            x: 133
            y: 44
            width: 330
            height: 44
            anchors.left: aboutIcon.right
            anchors.leftMargin: 15
            text: sub_header
            font.pointSize: 13
            wrapMode: Text.WordWrap
            anchors.top: desTitle.bottom
            anchors.topMargin: 5
            font.family: "Microsoft Sans Serif"
            clip:true;

        }

    }




}
