import QtQuick 1.0
import "../kits"
import "../kits/accessories"
Item {
    id: delegate
    height: 69
    width: delegate.ListView.view.width

    property string itemId: desId;
    property string icon: replaceString(region)
    function replaceString(text){
        var temp = "";
        if(region == "C") temp = "../resource/destination/icon-central.png";
        else if(region == "E") temp = "../resource/destination/icon-east.png";
        else if(region == "S") temp = "../resource/destination/icon-south.png";
        else if(region == "N") temp = "../resource/destination/icon-north.png";
        else if(region == "W") temp = "../resource/destination/icon-west.png";
        else if(region == "NE") temp = "../resource/destination/icon-northeast.png";
        return temp
    }
    MouseArea{
        anchors.fill: parent
        id:touchUpArea
        onPressed: {
            delegate.ListView.view.currentIndex = -1
            delegate.ListView.view.currentIndex = index
        }
        onReleased: {
            tablelistView.touchId(itemId,desName,latitude,longtitude);

        }
    }

    Image{
        id:bg
        x: 0
        y: 0
        width: 480
        height: delegate.height
        source: "../resource/destination/item.png"
        Image {
            id: aboutIcon
            x: 15
            y: 15
            width: 39
            height: 39
            source: icon
        }
        Text{
            id: aboutTitle
            anchors.verticalCenter: aboutIcon.verticalCenter
            anchors.left: aboutIcon.right
            anchors.leftMargin: 15
            text: desName
            font.pointSize: 14
            font.bold: true
            font.family: "Microsoft Sans Serif"

        }
    }



}
