import QtQuick 1.0


Rectangle {
    id:container
    width: 360
    height: 640
    color: "#00000000"
    visible: false //|| true
    property bool loading: false
    onLoadingChanged: {
        if(loading){
            alertMsg.text = "Loading ..."
        }
    }

    property Listener okBtnLTN;
    function setErrorMsg(msg){
        loading =false;
        alertMsg.text = msg;
    }

    function removeAllListener(){
        okBtnLTN = null;
    }
    DarkScreen{
        x: 0
        y: 0

    }


    Image {
        id: alert_box
        x: 123
        y: 232
        width: 322
        height: 222
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.verticalCenter: parent.verticalCenter
        source: "../resource/alert_box/alert_box.png"
    }
    BusyIndicator {
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.verticalCenter: parent.verticalCenter
        scale: 0.6
        on: container.loading
    }


    function show(){
        container.visible= true;
    }
    function dismiss(){
        container.visible= false;
    }

    Text{
        id:alertMsg
        x: 20
        y: 206
        width: 320
        height: 150
        color: "white"
        text: "Loading ..."
        verticalAlignment: Text.AlignVCenter
        wrapMode: Text.WrapAnywhere
        font.pixelSize: 19
        font.bold: false
        anchors.verticalCenterOffset: -39
        anchors.horizontalCenterOffset: 0
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.verticalCenter: parent.verticalCenter
        horizontalAlignment: Text.AlignHCenter

    }

    ImageButton {
        visible:!container.loading
        id: okBtn
        x: 108
        y: 366
        width: 144
        height: 49
        hlImageSource: "../resource/alert_box/alert_btn_ok.png"
        defImageSource: "../resource/alert_box/alert_btn_ok.png"
        onClicked: {
            if(okBtnLTN!==null){
                okBtnLTN.recieveOnClick()
            }

            container.dismiss()
        }
    }
}
