import QtQuick 1.0

Rectangle {
    id: container

    property string text: "Button"
    property string defImageSource: ""
    property string hlImageSource: ""
    property string inActvImageSource: ""
    signal clicked
    color: "#00000000"
    state: "ACTIVE"// ACTIVE INACTIVE
    function setImage(imgDefName,imgHLName){
        defImage.source = imgSrName;
        hlImage.source = imgHLName;
    }
    gradient: Gradient {
        GradientStop {
            position: 0.0
            color: {
                if (mouseArea.pressed){
                    defImage.opacity= 0;
                    hlImage.opacity= 1;
                    return "#00000000";
                }else{
                    defImage.opacity= 1;
                    hlImage.opacity= 0;
                    return "#00000000"
                }
            }
        }
        GradientStop { position: 0.0; color:  "#00000000"}
    }
    Image {
        id: defImage
        anchors.fill: parent
        source: defImageSource
        opacity: 1;
    }
    Image {
        id: hlImage
        source: hlImageSource
        opacity: 0
        anchors.fill: parent
    }
    Image {
        id: inatvImage
        source: inActvImageSource
        opacity: 0
        anchors.fill: parent
    }
    MouseArea {
        id: mouseArea
        anchors.fill: parent
        onClicked: {
            //console.log("btn state = "+parent.state);
            if(parent.state == "ACTIVE"){
                //console.log("onClicked ")
                container.clicked();
            }else{

            }
        }
    }

    states: [
             State {
                 name: "ACTIVE"
                 PropertyChanges { target: defImage; opacity: 1 }
                 PropertyChanges { target: hlImage; opacity: 0 }
                 PropertyChanges { target: inatvImage; opacity: 0 }
                 //StateChangeScript { script: particles.burst(50); }
             },
             State {
                 name: "INACTIVE"
                 PropertyChanges { target: defImage; opacity: 0 }
                 PropertyChanges { target: hlImage; opacity: 0 }
                 PropertyChanges { target: inatvImage; opacity: 1 }
                 //StateChangeScript { script: particles.burst(50); }
             }
         ]
}
