import QtQuick 1.0

Rectangle {
    id: nearbyFillter
    width: 360
    height: 565
    color: "#c8000000"
    clip: true
    MouseArea{
        anchors.fill: parent
        onClicked: console.log("no action")
    }

    property string catSelect: "wheretogo,wheretostay,wheretoeat,shopping";
    signal doneFillter(string catSelect);
    property variant mySetting: {'wheretogo':true,'wheretostay':true,'wheretoeat':true,'shopping':true};
    //property variant mySetting;
    function setButton(){
        goButton.status = mySetting.wheretogo;
        stayButton.status = mySetting.wheretostay;
        eatButton.status = mySetting.wheretoeat;
        shopButton.status = mySetting.shopping;
        return 1 ;
    }
    function clickButton(objName){
        if(objName.status==false){
            objName.hlImageSource = "../resource/map/off-01.png"
            objName.defImageSource = "../resource/map/off-02.png"
        }else{
            objName.hlImageSource = "../resource/map/on-01.png"
            objName.defImageSource = "../resource/map/on-02.png"
        }
    }
    function chkCatSelect(){
        var tempCat = "";
        if(nearbyFillter.mySetting.wheretogo){
            tempCat += "wheretogo,"
        }
        if(nearbyFillter.mySetting.wheretostay){
            tempCat += "wheretostay,"
        }
        if(nearbyFillter.mySetting.wheretoeat){
            tempCat += "wheretoeat,"
        }
        if(nearbyFillter.mySetting.shopping){
            tempCat += "shopping"
        }
        return tempCat;
    }

    Rectangle{
        id: fillter
        width: 360
        height: 393
        anchors.bottom: parent.bottom
        anchors.bottomMargin: 0
        clip: true


        Image {
            id: image6
            x: 0
            y: 0
            width: 360
            height: 565
            anchors.bottom: parent.bottom
            anchors.bottomMargin: 0
            source: "../resource/home/main-bg-2.png"
            MouseArea{
                anchors.fill: parent
                onClicked:  console.log("no actions")
            }
            Rectangle {
                id: rectangle2
                x: 0
                y: 520
                width: 360
                height: 45
                color: "#00000000"
                Image {
                    y: 389
                    width: 120
                    height: 45
                    anchors.left: parent.left
                    anchors.leftMargin: 0
                    anchors.top: parent.top
                    anchors.topMargin: 0
                    source: "../resource/footer/menu-bottom-blank-left.png"
                    MouseArea{
                        anchors.fill: parent
                        onClicked: console.log("no Acttion")
                    }
                }

                Image {
                    y: 389
                    width: 120
                    height: 45
                    anchors.left: parent.left
                    anchors.leftMargin: 120
                    anchors.top: parent.top
                    anchors.topMargin: 0
                    source: "../resource/footer/menu-bottom-blank.png"
                    MouseArea{
                        anchors.fill: parent
                        onClicked: console.log("no Acttion")
                    }
                }

                ImageButton {
                    id: doneButton
                    width: 120
                    height: 45
                    anchors.left: parent.left
                    anchors.leftMargin: 240
                    anchors.top: parent.top
                    anchors.topMargin: 0
                    hlImageSource: "../resource/footer/done-hover.png"
                    defImageSource: "../resource/footer/done.png"
                    onClicked: {
                        console.log("Done Fillter")
                        nearbyFillter.state = "FADEOUT"
                        doneFillter(nearbyFillter.catSelect);
                    }
                }
            }
        }

        Image {
            id: image2
            x: 0
            y: 0
            width: 360
            height: 348
            anchors.bottom: parent.bottom
            anchors.bottomMargin: 45
            clip: false
            source: "../resource/map/filter-bg.png"

            Image {
                id: image3
                height: 2
                anchors.right: parent.right
                anchors.rightMargin: 20
                anchors.left: parent.left
                anchors.leftMargin: 20
                anchors.top: parent.top
                anchors.topMargin: 55
                source: "../resource/map/line-filter.png"
            }

            Image {
                id: image4
                x: 20
                height: 2
                anchors.top: image5.bottom
                anchors.topMargin: 5
                source: "../resource/map/line-filter.png"
                anchors.rightMargin: 20
                anchors.right: parent.right
                anchors.leftMargin: 20
                anchors.left: parent.left
            }

            Image {
                id: image5
                width: 32
                height: 32
                anchors.top: image3.bottom
                anchors.topMargin: 5
                anchors.left: parent.left
                anchors.leftMargin: 30
                source: "../resource/destination/detail/icon-where-to-go.png"
            }

            Text {
                id: text1
                x: 70
                y: 25
                text: "Where to go"
                anchors.verticalCenterOffset: 0
                anchors.left: image5.right
                anchors.leftMargin: 10
                anchors.verticalCenter: image5.verticalCenter
                font.bold: true
                font.pixelSize: 14
            }



            Image {
                id: image7
                x: 18
                height: 2
                anchors.top: image8.bottom
                anchors.topMargin: 5
                source: "../resource/map/line-filter.png"
                anchors.rightMargin: 20
                anchors.right: parent.right
                anchors.leftMargin: 20
                anchors.left: parent.left
            }

            Image {
                id: image8
                x: -2
                width: 32
                height: 32
                anchors.top: image4.bottom
                anchors.topMargin: 5
                source: "../resource/destination/detail/icon-where-to-stay.png"
                anchors.leftMargin: 30
                anchors.left: parent.left
            }

            Text {
                id: text2
                x: 68
                y: 23
                text: "Where to stay"
                font.pixelSize: 14
                anchors.verticalCenterOffset: 0
                anchors.verticalCenter: image8.verticalCenter
                font.bold: true
                anchors.leftMargin: 10
                anchors.left: image5.right
            }



            Image {
                id: image10
                x: 11
                y: -7
                height: 2
                anchors.top: image11.bottom
                anchors.topMargin: 5
                source: "../resource/map/line-filter.png"
                anchors.rightMargin: 20
                anchors.right: parent.right
                anchors.leftMargin: 20
                anchors.left: parent.left
            }

            Image {
                id: image11
                x: -9
                y: -7
                width: 32
                height: 32
                anchors.top: image7.bottom
                anchors.topMargin: 5
                source: "../resource/destination/detail/icon-where-to-eat.png"
                anchors.leftMargin: 30
                anchors.left: parent.left
            }

            Text {
                id: text3
                x: 61
                y: 16
                text: "Where to eat"
                font.pixelSize: 14
                anchors.verticalCenterOffset: 0
                anchors.verticalCenter: image11.verticalCenter
                font.bold: true
                anchors.leftMargin: 10
                anchors.left: image5.right
            }

            Image {
                id: image13
                x: 13
                y: -5
                height: 2
                anchors.top: image14.bottom
                anchors.topMargin: 5
                source: "../resource/map/line-filter.png"
                anchors.rightMargin: 20
                anchors.right: parent.right
                anchors.leftMargin: 20
                anchors.left: parent.left
            }

            Image {
                id: image14
                x: -7
                y: -5
                width: 32
                height: 32
                anchors.top: image10.bottom
                anchors.topMargin: 5
                source: "../resource/destination/detail/icon-shopping.png"
                anchors.leftMargin: 30
                anchors.left: parent.left
            }

            Text {
                id: text4
                x: 63
                y: 18
                text: "Shopping"
                font.pixelSize: 14
                anchors.verticalCenterOffset: 0
                anchors.verticalCenter: image14.verticalCenter
                font.bold: true
                anchors.leftMargin: 10
                anchors.left: image5.right
            }


            ImageButton {
                id: goButton
                property bool status: true
                x: 0
                y: 0
                width: 70
                height: 33
                anchors.right: parent.right
                anchors.rightMargin: 30
                anchors.verticalCenter: image5.verticalCenter
                hlImageSource: "../resource/map/on-01.png"
                defImageSource: "../resource/map/on-02.png"
                onClicked: {
                        //clickButton(goButton);
                        var newObj = nearbyFillter.mySetting;
                        if(nearbyFillter.mySetting.wheretogo){
                            newObj['wheretogo'] = !nearbyFillter.mySetting.wheretogo;
                        }else{
                            newObj['wheretogo'] = !nearbyFillter.mySetting.wheretogo;
                        }
                        nearbyFillter.mySetting=newObj;
                        setButton();
                        }
                onStatusChanged: {
                    nearbyFillter.catSelect = chkCatSelect();
                    clickButton(goButton);
                }
            }
            ImageButton {
                id: stayButton
                property bool status: true
                x: 238
                y: -19
                width: 70
                height: 33
                anchors.rightMargin: 30
                anchors.verticalCenter: image8.verticalCenter
                anchors.right: parent.right
                hlImageSource: "../resource/map/on-01.png"
                defImageSource: "../resource/map/on-02.png"
                onClicked: {
                       // clickButton(stayButton);
                        var newObj = nearbyFillter.mySetting;
                        if(nearbyFillter.mySetting.wheretostay){
                            newObj['wheretostay'] = !nearbyFillter.mySetting.wheretostay;
                        }else{
                            newObj['wheretostay'] = !nearbyFillter.mySetting.wheretostay;
                        }
                        nearbyFillter.mySetting=newObj;
                        setButton();
                    }
                onStatusChanged: {
                    nearbyFillter.catSelect = chkCatSelect();
                    clickButton(stayButton);
                }
            }
            ImageButton {
                id: eatButton
                property bool status: true
                x: 231
                y: -26
                width: 70
                height: 33
                anchors.rightMargin: 30
                anchors.verticalCenter: image11.verticalCenter
                anchors.right: parent.right
                hlImageSource: "../resource/map/on-01.png"
                defImageSource: "../resource/map/on-02.png"
                onClicked: {
                        //clickButton(eatButton);
                        var newObj = nearbyFillter.mySetting;
                        if(nearbyFillter.mySetting.wheretoeat){
                            newObj['wheretoeat'] = !nearbyFillter.mySetting.wheretoeat;
                        }else{
                            newObj['wheretoeat'] = !nearbyFillter.mySetting.wheretoeat;
                        }
                        nearbyFillter.mySetting=newObj;
                        setButton();
                    }

                onStatusChanged: {
                    nearbyFillter.catSelect = chkCatSelect();
                    clickButton(eatButton);
                }
            }

            ImageButton {
                id: shopButton
                property bool status: true
                x: 228
                y: -25
                width: 70
                height: 33
                anchors.right: parent.right
                anchors.verticalCenter: image14.verticalCenter
                anchors.rightMargin: 30
                hlImageSource: "../resource/map/on-01.png"
                defImageSource: "../resource/map/on-02.png"
                onClicked: {
                        //clickButton(shopButton);
                        var newObj = nearbyFillter.mySetting;
                        if(nearbyFillter.mySetting.shopping){
                            newObj['shopping'] = !nearbyFillter.mySetting.shopping;
                        }else{
                            newObj['shopping'] = !nearbyFillter.mySetting.shopping;
                        }
                        nearbyFillter.mySetting=newObj;
                        setButton();
                    }
                onStatusChanged: {
                    console.log("shopButton Status: "+status)
                    nearbyFillter.catSelect = chkCatSelect();
                    clickButton(shopButton);

                }
            }

            Image {
                id: image1
                x: 0
                y: -46
                width: 360
                height: 40
                anchors.top: parent.top
                anchors.topMargin: 0
                source: "../resource/map/bae-filter.png"
            }


        }

    }

    states: [
             State {
                 name: "FADEIN"
                 PropertyChanges {
                     target: fillter
                     x: 0
                     y: 0
                     anchors.bottomMargin: 0
                 }
             },
             State {
                 name: "FADEOUT"

                 PropertyChanges {
                     target: fillter
                     x: 0
                     y: 751
                     anchors.bottomMargin: -566
                 }

                 PropertyChanges {
                     target: nearbyFillter
                     color: "#00000000"
                 }
             }
         ]
    transitions: [
             Transition {
                 NumberAnimation { properties: "x,y,color"; duration: 200; easing.type: Easing.InOutQuad}
             }
         ]
}
