import QtQuick 1.0

Rectangle {
    id:navFooter
    width: 360
    height: 20
    color: "#00000000"
    Image {
        id: bg
        width: 360
        height: 20
        fillMode: Image.TileHorizontally
        source: "../resource/main/bg_footer20_20.png"
    }
    transitions: [
        Transition { NumberAnimation { properties: "x,y,opacity"; duration: 100; easing.type: Easing.InOutQuad } }
    ]
    states: [
             State {
                 name: "ACTIVE"
                 PropertyChanges { target: navFooter;  y: 640-1*height}
                 PropertyChanges { target: navFooter;  opacity: 1}
                 StateChangeScript { script: console.log("navFooter ACTIVE"); }

             },
             State {
                 name: "INACTIVE"
                 PropertyChanges { target: navFooter; y: 640 }
                 PropertyChanges { target: navFooter;  opacity: 0}
                 StateChangeScript { script: console.log("navFooter INACTIVE"); }
             }
         ]
}
