import QtQuick 1.0

Rectangle {
    id:_vct
    width: 480
    height: 854
    property bool isHideNav: false;
    property bool isBackDissmiss: false;
    property real activeValue: 0;
    property real pagingIndexX: 0;
    property real pagingIndexY: 0;
    function mapNavigationButton(navCt){

    }
    /*property Item myNav:Item{id:myNav
                            property UINavCT obj}*/
    function viewWillAppear(){

    }
    function viewWillDisappear(){

    }
    onActiveValueChanged: {
        if(activeValue == 1){
        }else{
            setActive (false);
        }
    }
    onPagingIndexYChanged: {
        y= height*pagingIndexY;
        if(pagingIndexY == 0){
            setActive (true);
        }else{
            setActive (false);
        }
        if(pagingIndexY == 1){
            _vct.destroy();
        }
    }
    onPagingIndexXChanged: {
        x= width*pagingIndexX;
        if(pagingIndexX == 0){
            setActive (true);
        }else{
            setActive (false);
        }
        if(pagingIndexX == 1){
            _vct.destroy();
        }
    }
    function createVCTOnView(component,ltn) {
        pending(300);
         if (component.status == Component.Ready) {
             var newVCT = component.createObject(_vct);
             if(ltn !== null){
                 ltn.createSuccess(newVCT);
             }
             //newVCT.myNav = navCt;
             newVCT.pagingIndexY = 0.99;
         } else if (component.status == Component.Error) {
             // Error Handling
             console.log("Error loading component:", component.errorString());
         }
         presentModalVCT(newVCT);
         newVCT.z= 9999999;
         return newVCT;
     }
    function setActive(active){
        mouse_area.visible = !active;
    }
    function presentModalVCT(vct){
        vct.viewWillAppear();
        vct.playANM('getActiveAnm');
    }
    function dismissModalVCT(){
        navCt.viewWillAppear();
        playANM('dismissOutAnm');
    }
    MouseArea {
        id: mouse_area
        anchors.fill: parent
    }

    function playANM(name){
        pending(300);
        console.log("playANM ="+name);
        if(name === "pushInAnm"){
            pushInAnm.start();
        }
        if(name === "pushOutAnm"){
            pushOutAnm.start();
        }
        if(name === "getActiveAnm"){
            getActiveAnm.start();
        }
        if(name === "dismissOutAnm"){
            dismissOutAnm.start();
        }
    }
    SequentialAnimation {
        id: pushInAnm;
        running: false
        NumberAnimation { target: _vct; property: "pagingIndexX"; to: -1; duration: 200}
    }
    SequentialAnimation {
        id: pushOutAnm;
        running: false
        NumberAnimation { target:  _vct; property: "pagingIndexX"; to: 1; duration: 200}
    }
    SequentialAnimation {
        id: getActiveAnm;
        running: false
        ParallelAnimation {
            PropertyAnimation {target: _vct;  property: "pagingIndexX"; to:0;duration: 200}
            PropertyAnimation {target: _vct;  property: "pagingIndexY"; to:0;duration: 200}
        }
    }
    SequentialAnimation {
        id: dismissOutAnm;
        running: false
        NumberAnimation { target:  _vct; property: "pagingIndexY"; to: 1; duration: 200}
    }
    function pending(milisec){
        pendingClick.visible =true;
        pendingTimer.interval =300;
        pendingTimer.start();
    }


    Timer{
        id:pendingTimer
        interval: 300; running: false; repeat: false;
        onTriggered: cancelpending();
    }
    function cancelpending(){
          pendingClick.visible =false;
    }
    MouseArea {
        id: pendingClick
        z:9999999;
        anchors.fill: parent
        visible: false;
    }
}
