import QtQuick 1.0

Rectangle {
    id:containner
    width: 100
    height: 62
    property bool isImageReady: myimage.status == Image.Ready
    color: (isImageReady)?"#00000000":"#737070"
    property alias source: myimage.source
    radius: (isImageReady)?0:(width< height)?width*0.1:height*0.1
    border.width: (isImageReady)?0:1
    clip: true;
    border.color: (isImageReady)?"#00000000":"#000000";
    Image{
         id:myimage
         width: containner.width;
         height: containner.height;
         fillMode: Image.PreserveAspectCrop
         source: "";
    }
}
