import QtQuick 1.0

Rectangle {
    id: container
    width: 118;
    height: parent.height;
    property string defImageSource: ""
    property string hlImageSource: ""
    signal clicked
    property int index: 0;
    color: "#00000000"
    state: "INACTIVE"// ACTIVE INACTIVE
    property SectionListener sectionListener;
    function setImage(imgDefName,imgHLName){
        defImage.source = imgDefName;
        hlImage.source =imgHLName ;
    }

    Image {
        id: defImage
        anchors.fill: parent
        source: defImageSource
        opacity: 1;
    }
    Image {
        id: hlImage
        source: hlImageSource
        opacity: 0
        anchors.fill: parent
    }
    MouseArea {
        id: mouseArea
        anchors.fill: parent
        onClicked: {
            if(parent.state == "INACTIVE"){
                parent.state = "ACTIVE"
            }else{

            }
        }
    }
    function activeNTFDelegate(){
        console.log("sectionListener = "+sectionListener);
        if(sectionListener!=null ){
            sectionListener.clickAtIndex(index);
        }else{
        }
    }

    states: [
             State {
                 name: "ACTIVE"
                 PropertyChanges { target: defImage; opacity: 0 }
                 PropertyChanges { target: hlImage; opacity: 1 }
                 StateChangeScript { script: activeNTFDelegate(); }
                 //StateChangeScript { script: particles.burst(50); }
             },
             State {
                 name: "INACTIVE"
                 PropertyChanges { target: defImage; opacity: 1 }
                 PropertyChanges { target: hlImage; opacity: 0 }
                 //StateChangeScript { script: particles.burst(50); }
             }
         ]
}
