import QtQuick 1.0
import "../kits"
import "../kits/accessories"
Item {
    id: delegate
    height: 86
    width: delegate.ListView.view.width

    property string typeId: type;


    MouseArea{
        anchors.fill: parent
        id:touchUpArea
        onPressed: {
            delegate.ListView.view.currentIndex = -1
            delegate.ListView.view.currentIndex = index
        }
        onReleased: {
            tablelistView.touchId(destinationId,destinationName,menu,icon,typeId,lat,lng,desType);
        }
    }

    Image{
        id:bg
        x: 0
        y: 0
        width: 480
        height: delegate.height
        source: "../resource/destination/item.png"
        Image {
            id: aboutIcon
            x: 15
            y: 15
            width:56
            height: 56
            source: icon
        }
        Text{
            id: aboutTitle
            anchors.verticalCenter: aboutIcon.verticalCenter
            anchors.left: aboutIcon.right
            anchors.leftMargin: 15
            text: menu
            font.pointSize: 17
            font.bold: true
            font.family: "Microsoft Sans Serif"

        }
    }



}
