import QtQuick 1.0
import "../kits"
import "../kits/section"

UIViewCT {
    id: destinationVCT
    height: 754
    color: "#00000000"
    property int currentType: 0;
    property Listener closeLTN :Listener{
                                   id:closeLTN
                                   function recieveOnClick(){
                                       console.log("close");
                                       Qt.quit();
                                   }
    }
    function setByPassClickSection(_index){
        rectangle1.setByPassClickSection(_index)

    }
    Component.onCompleted: {
        console.log("parent:"+parent.objectName);

    }

    SectionListener{

        id:recommendSectionListener;
        function clickAtIndex(index){ //0,1,2 //best last suggest
            destinationVCT.currentType = index
        }

    }


        Image {
            id: image4
            width: parent.width
            height: parent.height
            source: "../resource/home/main-bg.png"
            Image {
                id: image2
                x: 0
                y: 0
                width: parent.width
                height: parent.height
                source: "../resource/destination/bg-blue.png"
                Image {
                    id: image3
                    x: 45
                    y: 221
                    width: 389
                    height: 337
                    anchors.horizontalCenter: parent.horizontalCenter
                    anchors.verticalCenter: parent.verticalCenter
                    source: "../resource/destination/plane.png"
                }
            }
        }

        Rectangle{
            id: rectangle1
            width: 480
            height: 103
            color: "#00000000"
            anchors.top: parent.top
            anchors.topMargin: 0

            function setByPassClickSection(_index){
                sectionRecommend.setByPassClickSection(_index);
            }

            SectionView{
                id:sectionRecommend;
                width: 480
                height: 103
                color: "#00000000"
                anchors.top: parent.top
                anchors.topMargin: 0
                sectionDelegate: recommendSectionListener;
                anchors.horizontalCenter: parent.horizontalCenter
                function sectionViewInit(){
                    sectionRecommend.sectionDelegate =recommendSectionListener;
                    var topTen = addSection();
                    topTen.setImage("../../resource/destination/top10.png",
                                    "../../resource/destination/top10-select.png");
                    topTen.width = 240
                    topTen.height = 103
                    var allDest = addSection();
                    allDest.setImage("../../resource/destination/89des.png",
                                     "../../resource/destination/89des-select.png");
                    allDest.width = 240
                    allDest.height = 103
                    topTen.state="ACTIVE";
                    return 1;
                }
            }


            Rectangle{
                id: rectangle2
                width: 480
                height: 651
                color: "#00000000"
                anchors.top: sectionRecommend.bottom
                anchors.topMargin: 0

                DestinationTopTen{
                    currentType: destinationVCT.currentType
                    id:topTen;
                    x: 0
                    y: 0
                    color: "#00000000"
                    height: 651
                    clip:true;
                    visible: destinationVCT.currentType == 0

                }
                Destinations{
                    id:allDes;
                    currentType: destinationVCT.currentType
                    x: 0
                    y: 0
                    color: "#00000000"
                    height: 651
                    clip:true;
                    visible: destinationVCT.currentType == 1
                }

                /*
                RecommendSuggestTable{
                    id:suggestTable;
                    visible: recommendVCT.currentType == 2
                }*/
            }
            Image {
                id: image1
                x: 0
                width: 480
                height: 12
                anchors.top: sectionRecommend.bottom
                anchors.topMargin: 0
                fillMode: Image.TileHorizontally
                source: "../resource/destination/shadow-line.png"
            }
        }
        BusyIndicator {
            x: 160
            y: 263
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.verticalCenter: parent.verticalCenter
            scale: 0.6
            on: topTen.loading
        }

}
