import QtQuick 1.0
import "../kits"
Rectangle {
    color: "#00000000"
    id: navBar
    width: 480
    height: 100
    //property QtObject signinLTN;
    property QtObject backLTN;
    //property QtObject filterLTN;
    //property QtObject menuLTN;
    //property QtObject locLTN;
    property QtObject closeLTN;
    function removeAllListener(){
        //signinLTN = null;
        backLTN = null;
        //filterLTN = null;
        //menuLTN = null;
        //locLTN = null;
        closeLTN = null;
    }

    Image {
        id: logo
        x: 0
        width: 334
        height: 100
        anchors.top: parent.top
        anchors.topMargin: 0
        anchors.horizontalCenter: parent.horizontalCenter
        source: "../resource/head/logo.png"
    }

    Image {
        id: image1
        x: 0
        y: 0
        width: 73
        height: 100
        source: "../resource/head/back-blank.png"
    }
    states: [
             State {
                 name: "ACTIVE"
                 PropertyChanges { target: navBar;  y: 0}
                 PropertyChanges { target: navBar;  opacity: 1}
                 StateChangeScript { script: console.log("navBar ACTIVE"); }

             },
             State {
                 name: "INACTIVE"
                 PropertyChanges { target: navBar; y: -1*height }
                 PropertyChanges { target: navBar;  opacity: 0}
                 StateChangeScript { script: console.log("navBar INACTIVE"); }
             }
    ]
    Image {
        id: image2
        x: 305
        y: 0
        width: 73
        height: 100
        anchors.right: parent.right
        anchors.rightMargin: 0
        source: "../resource/head/back-blank.png"
    }

    Rectangle{
        color: "#00000000"
        id:navItemBar;
        x: 0
        y: 0
        width: parent.width
        height: 100


        ImageButton{
            visible: !(backLTN === null)
            id:backBtn; x: 0;y: 0;width: 73;height: 100
            hlImageSource: "../resource/head/back-hover.png"
            defImageSource: "../resource/head/back1.png"
            onClicked: {backLTN.recieveOnClick()}
        }

        ImageButton {
            visible: !(closeLTN === null )
            id: closeBtn; x: 403;y: 0;width: 73;height: 100
            anchors.right: parent.right
            anchors.rightMargin: 0
            hlImageSource: "../resource/head/close-hover.png"
            defImageSource: "../resource/head/close1.png"
            onClicked: {closeLTN.recieveOnClick()}
        }
        /*
        ImageButton{
            visible: !(signinLTN === null || main.session.islogin)
            id:signinBtn;x: 292;y: 0;width: 50;height: 27
            hlImageSource: "../resource/main/btn_login.png"
            defImageSource: "../resource/main/btn_login.png"
            onClicked: {signinLTN.recieveOnClick()}
        }
        ImageButton{
            visible: (signinLTN !== null && main.session.islogin)
            id:signoutBtn;x: 292;y: 0;width: 50;height: 27
            hlImageSource: "../resource/main/btn_logout.png"
            defImageSource: "../resource/main/btn_logout.png"
            onClicked: {session.islogin=false}
        }
        ImageButton {
            visible: !(filterLTN === null)
            id: filterBtn;x: 292;y: 0;width: 50;height: 27
            hlImageSource: "../resource/main/btn_filter.png"
            defImageSource: "../resource/main/btn_filter.png"
            onClicked: {filterLTN.recieveOnClick()}
        }
        ImageButton {
            visible: !(menuLTN === null)
            id: menuBtn; x: 19;y: 0;width: 50;height: 30
            hlImageSource: "../resource/main/btn_main_menu.png"
            defImageSource: "../resource/main/btn_main_menu.png"
            onClicked: {menuLTN.recieveOnClick()}
        }
        ImageButton {
            visible: !(locLTN === null)
            id: locBtn; x: 292;y: 0;width: 50;height: 27
            hlImageSource: "../resource/main/btn_curr_locat.png"
            defImageSource: "../resource/main/btn_curr_locat.png"
            onClicked: {if(!loading)locLTN.recieveOnClick()}
            property bool loading: (locLTN == null)?false:(locLTN.status != 2)?false:true;
            BusyIndicator{
                anchors.fill: parent;
                on:parent.loading

            }
        }*/
        transitions: [
            Transition { NumberAnimation { properties: "x,y,opacity"; duration: 100; easing.type: Easing.InOutQuad } }
        ]
        states: [
            State {
                name: "ACTIVE"
                PropertyChanges { target: navItemBar;  y: 0}
                PropertyChanges { target: navItemBar;  opacity: 1}
            },
            State {
                name: "INACTIVE"
                PropertyChanges { target: navItemBar; y: -1*height }
                PropertyChanges { target: navItemBar;  opacity: 0}
            }
        ]
    }

}
