import QtQuick 1.0
import "sectionCT.js" as SectionCT
Rectangle {
    id:containner
    width: 360
    height: 30
    function sectionViewInit(){
        console.log("sectionViewInit donothing");
        return 1;
    }
   property int init: containner.sectionViewInit();
    property SectionListener sectionDelegate;
    function setByPassClickSection(_index){
        listenIndexClick.clickAtIndex(_index);
    }
    SectionListener{
        id:listenIndexClick
        function clickAtIndex(index){
            //
            //console.log("scrollView Acnowledge clickAtIndex :"+index);
            for(var i = 0;i<SectionCT.countSection();i++){
                var section = SectionCT.getSection(i);
                if(section.index == index){section.state ="ACTIVE";
                }else{section.state ="INACTIVE";}

                //console.log("scrollView section state = :"+section.state);
            }
            if(sectionDelegate!=null){
                sectionDelegate.clickAtIndex(index);
            }
        }
    }
    function addSection(){
        var sectionele = createSectionInside();
        SectionCT.pushSection(sectionele);
        sectionele.sectionListener = listenIndexClick;
        return sectionele;
    }
    function createSectionInside() {
        var component = Qt.createComponent("SectionElement.qml");
        var sectionele;
         if (component.status == Component.Ready) {
             sectionele = component.createObject(sectionRow);

         } else if (component.status == Component.Error) {

         }
         console.log("sectionele created :"+sectionele);
         return sectionele;
     }
    Row{
        id:sectionRow
        width: parent.width;
        height: parent.height;
    }
}
